library proba;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  SysUtils,
  Classes;

{$R *.res}

function Vect_Max  (Vect: array of Integer; N:Word) : Integer; export;
var
  Max : Integer;
  i   : Word;
begin
  Max := Vect[0];
  for i := 1 to N-1 do
    if Vect[i] > Max then Max := Vect[i];
  Result := Max;
end;

function Vect_Min (Vect: array of Integer; N:Word) : Integer; export;
var
  Min : Integer;
  i   : Word;
begin
  Min := Vect[0];
  for i := 1 to N-1 do
    if Vect[i] < Min then Min := Vect[i];
  Result := Min;
end;

exports
  Vect_Max index 1,
  Vect_Min index 2;
begin
{    }
end.
